=== board/ms7720se/Makefile ===
#
# Copyright (C) 2007
# Yoshihiro Shimoda <shimoda.yoshihiro@renesas.com>
#
# Copyright (C) 2007
# Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
#
# Copyright (C) 2007
# Kenati Technologies, Inc.
#
# board/ms7720se/Makefile
#
# SPDX-License-Identifier:	GPL-2.0+

obj-y	:= ms7720se.o
obj-y	+= lowlevel_init.o
