=== debian/changelog ===
u-boot (2014.10+dfsg1-5) unstable; urgency=medium

  [ John Paul Adrian Glaubitz ]
  * [sh4] Fix FTBFS due to incorrect target names (Closes: #780066).

  [ Vagrant Cascadian ]
  * [armhf] u-boot-sunxi: Enable A20-OLinuXino_MICRO. Thanks to Arne
    Ploese for testing!
  * [armhf] u-boot-sunxi: Enable Linksprite_pcDuino3. Thanks to Patrice Go
    for testing!

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 07 Apr 2015 13:42:30 -0700

u-boot (2014.10+dfsg1-4) unstable; urgency=medium

  [ Karsten Merker ]
  * Backport support for the LeMaker Banana Pro board (Closes: #779908).

  [ Vagrant Cascadian ]
  * Update lintian rules for BananaPro and A20-OlinuXino-LIME2.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 08 Mar 2015 11:13:07 -0700

u-boot (2014.10+dfsg1-3) unstable; urgency=medium

  * cubox-i-support.diff: Refresh patch, dropping solidrun.bmp, which
    causes FTBFS with newer version of patch (Closes: #777518).

  * Add patch to support A20-OLinuXino-LIME2, backported from u-boot
    2015.01. Thanks to Karsten Merker for the patch (Closes: #777466).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 21 Feb 2015 13:13:31 -0800

u-boot (2014.10+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches:
    - Add sh4-fix-linker-name-prefix.patch to use the proper
      linker name prefix on sh4. Fixes FTBFS. (Closes: #771747)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 11 Dec 2014 00:00:08 +0100

u-boot (2014.10+dfsg1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Resync cubox-i patches with github.
    - fixes support for booting on the cubox-i2ultra/i2ex.
      (Closes: #766266)
  
  [ Vagrant Cascadian ]
  * wandboard, cubox-i: Add patches to use variables expected by
    debian-installer bootscript.
  * cubox-i: Move importing bootenv before loading the boot script, to
    allow environment variables useful to the boot script to be set.
  * cubox-i: Run autodetectfdt before attempting to load the boot script.
  * Split README.Debian by subarchitecture, and document installing u-boot
    on several additional boards.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 01 Nov 2014 16:33:33 -0700

u-boot (2014.10+dfsg1-1) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * New upstream release.
  * Refresh cubox-i patches to 2014.10.
  * Update cubox-i patches to use generic board.
  * Remove debian/patches/kerma-sheevaplug-mvsata.diff, merged upstream.
  * Patch to allow tools-only to build without a configuration.
  * Update Standards-Version to 3.9.6, no changes needed.

  [ Ian Campbell ]
  * Rebase arndale patches onto 2014.10

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 19 Oct 2014 11:34:39 -0700

u-boot (2014.10~rc3+dfsg1-2) experimental; urgency=medium

  [ Ian Campbell ]
  * Add support for the Arndale board (Closes: #763186).

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 09 Oct 2014 11:41:31 -0700

u-boot (2014.10~rc3+dfsg1-1) unstable; urgency=medium

  * New upstream release candidate.
  * Remove patches applied upstream:
    - bootcmd-scsi-scan-before-scsi.patch
    - sunxi/0001-sun7i-Add-support-for-Olimex-A20-OLinuXino-LIME.patch
  * Refresh patches:  
    - am335x-bootscript.diff
    - am335x-uenv.txt.diff
    - cubox-i/cubox-i-support.diff
    - no-force-CROSS_COMPILE-powerpc.diff

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 08 Oct 2014 09:57:35 -0700

u-boot (2014.10~rc2+dfsg1-2) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * Fix cross building.
  * Build extra tools for kirkwood and sunxi (Closes: #750108).
  * Build extra tools and env just once, and install in PATH again.
  * Add nitrogen6q support to u-boot-imx.

  [ Vagrant Cascadian ]
  * Use "make all" instead of making individual targets, recording a list
    of targets to install in each subarch package.
  * Build FEL variants for all sunxi platforms, based on patches from Ian
    Campbell.
  * Add build-depends on "bc".
  * Patch to add the debian revision to the U-boot version.
  * Updated cubox-i patches and re-enable mx6_cubox-i target.
  * Build tools and env with NO_SDL=1 to avoid complaining about missing
    sdl-config.
  * Remove mips target dbau1100, an old platform with no testers.
  * Swich qemu_mips target to install u-boot.bin, which is what is
    actually needed by qemu.
  * Add patch to Set DCDC1 DDR3 to 1.35V for Beaglebone Black. Thanks to
    Robert Nelson for the patch.

  [ Ian Campbell ]
  * Add patch to add u-boot.kwb to "make all" on Kirkwood platforms.
  * Build tools out-of-tree too so as not to dirty the source used for the
    actual platforms (Closes: #763024).
  * Add patch to initialize scsi before trying scsi disks in
    config_distro_bootcmd (Closes: #764069).

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 06 Oct 2014 16:58:04 -0700

u-boot (2014.10~rc2+dfsg1-2~exp1) experimental; urgency=medium

  * Split u-boot package into u-boot-imx, u-boot-omap and u-boot-sunxi
    packages on armhf.

  * debian/targets:
    - Enable A10-OLinuXino-Lime target.
    - Enable Cubieboard2 and Cubieboard2_FEL targets (Closes: #762383).
    - Enable A20-OLinuXino-LIME target.
    - Disable mx6_cubox-i
    - Disable efikamx and efikasb.
  
  * debian/patches:
    - Add patch from upstream to support A20-OLinuXino-LIME.
    - Disable patches for cubox-i.
  
  * debian/rules:
    - Remove excess conditional architecture check, drop build-dep on
      dctrl-tools.
    - Remove executable bit from u-boot targets.

  * Updated lintian overrides.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 22 Sep 2014 18:30:12 -0500

u-boot (2014.10~rc2+dfsg1-1) experimental; urgency=medium

  * New upstream release candidate.
  
  * Update debian/patches:
    - Remove Cubieboard and Cubietruck patches, applied upstream.
    - Remove kerma-sheevaplug-mvsdio patch, applied upstream.
    - Update openrd-mmc patch, partially applied upstream.
    - Add patch to workaround failure when building env tools.
  

